Package jgromacs.data

# Class SequencePosition

java.lang.Object
jgromacs.data.SequencePosition

All Implemented Interfaces:
  `Cloneable`

public class SequencePosition extends Object implements Cloneable
Objects of this class represent a single sequence position

## Constructor Summary

Constructors
Constructor
Description
`SequencePosition()`
Constructs a new SequencePosition object
`SequencePosition(int index, String annotation)`
Constructs a new SequencePosition object of given index and annotation
`SequencePosition(int index, ResidueType residueType)`
Constructs a new SequencePosition object of given index and residue type
`SequencePosition(int index, ResidueType residueType, String annotation)`
Constructs a new SequencePosition object of given index, residue type and annotation
`SequencePosition(ResidueType residueType, String annotation)`
Constructs a new SequencePosition object of residue type and annotation

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Returns an identical SequencePosition object
`boolean`
`equals(Object other)`
Returns true if the two sequence positions are identical
`String`
`getAnnotation()`
Returns the annotation of sequence position
`int`
`getIndex()`
Returns the index of sequence position
`ResidueType`
`getResidueType()`
Returns the residue type of sequence position
`int`
`hashCode()`
Returns hash code
`void`
`setAnnotation(String annotation)`
Sets the annotation of sequence position
`void`
`setIndex(int index)`
Sets the index of sequence position
`void`
`setResidueType(ResidueType residueType)`
Sets the residue type of sequence position
`String`
`toString()`
Returns the String representation of sequence position

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SequencePosition

public SequencePosition()
Constructs a new SequencePosition object

### SequencePosition

public SequencePosition(int index, ResidueType residueType)
Constructs a new SequencePosition object of given index and residue type

Parameters:
  `index` - index
  `residueType` - residue type

### SequencePosition

public SequencePosition(int index, String annotation)
Constructs a new SequencePosition object of given index and annotation

Parameters:
  `index` - index
  `annotation` - annotation

### SequencePosition

public SequencePosition(ResidueType residueType, String annotation)
Constructs a new SequencePosition object of residue type and annotation

Parameters:
  `residueType` - residue type
  `annotation` - annotation

### SequencePosition

public SequencePosition(int index, ResidueType residueType, String annotation)
Constructs a new SequencePosition object of given index, residue type and annotation

Parameters:
  `index` - index
  `residueType` - residue type
  `annotation` - annotation

## Method Details

### getIndex

public int getIndex()
Returns the index of sequence position

Returns:
  index of sequence position

### setIndex

public void setIndex(int index)
Sets the index of sequence position

Parameters:
  `index` - index of sequence position

### getAnnotation

public String getAnnotation()
Returns the annotation of sequence position

Returns:
  annotation of sequence position

### setAnnotation

public void setAnnotation(String annotation)
Sets the annotation of sequence position

Parameters:
  `annotation` - annotation of sequence position

### getResidueType

public ResidueType getResidueType()
Returns the residue type of sequence position

Returns:
  residue type of sequence position

### setResidueType

public void setResidueType(ResidueType residueType)
Sets the residue type of sequence position

Parameters:
  `residueType` - residue type of sequence position

### clone

public Object clone()
Returns an identical SequencePosition object

Overrides:
  `clone` in class `Object`
Returns:
  clone of the sequence position

### equals

public boolean equals(Object other)
Returns true if the two sequence positions are identical

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the other sequence position

### hashCode

public int hashCode()
Returns hash code

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Returns the String representation of sequence position

Overrides:
  `toString` in class `Object`
Returns:
  String representation